### Method

# Ide Workspace get_visible_surface

#### Declaration

    IdeSurface*
    ide_workspace_get_visible_surface (
      IdeWorkspace* self
    )

#### Description

Gets the currently visible `IdeSurface`, or `NULL`.

Available since: | 3.32

Gets property | `Ide.Workspace:visible-surface`

#### Return value

Returns: | `IdeSurface`
| An `IdeSurface` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.